from rest_framework import serializers
from django.contrib.auth import get_user_model

User = get_user_model()


class UserMinimalSerializer(serializers.HyperlinkedModelSerializer):
    """
    Déstiné à tout le monde (de connecté)
    """

    class Meta:
        model = User
        fields = ('url', 'id', 'first_name', 'last_name',)


class UserAdminSerializer(serializers.HyperlinkedModelSerializer):
    """
    Déstiné à l'utilisat-rice-eur et aux administrat-rice-eur-s
    """

    class Meta:
        model = User
        fields = ('url', 'id', 'username', 'first_name', 'last_name',
                  'email', 'phone', 'last_login', 'date_joined',)


class UserSerializer(serializers.HyperlinkedModelSerializer):
    """
    Déstiné aux utilisat-rice-eur-s dont l'utilisait-rice-eur-s en question
    a laissé le droit d'y accéder, par exemple les participant-e-s
    au même `event` que l'utilisat-rice-eur en question
    """

    class Meta:
        model = User
        fields = ('url', 'id', 'first_name', 'last_name',
                  'email', 'phone',)
