from .forms import CreateUserForm
from django.views.generic.edit import CreateView
from django.contrib.messages.views import SuccessMessageMixin
from django.core.urlresolvers import reverse_lazy


class CreateUser(SuccessMessageMixin, CreateView):
    template_name = 'users/user_form.html'
    form_class = CreateUserForm
    success_url = reverse_lazy('shared:home')
    success_message = "Votre compte utilisateur a été correctement créé !"

    def get_context_data(self, **kwargs):
        ctx = super().get_context_data(**kwargs)
        ctx['button'] = 'Créer'
        ctx['page_title'] = "Création d'utilisateur"
        return ctx
